Assets = {
	Asset("SOUNDPACKAGE", "sound/beefalo_song_update.fev"),
	Asset("SOUND", "sound/beefalo_song_update.fsb"),
}

RemapSoundEvent( "dontstarve/beefalo/yell", "beefalo_song_update/beefalo/yell" )
RemapSoundEvent( "dontstarve/beefalo/angry", "beefalo_song_update/beefalo/yell" )
RemapSoundEvent( "dontstarve/beefalo/grunt", "beefalo_song_update/beefalo/yell" )
RemapSoundEvent( "dontstarve/beefalo/curious", "beefalo_song_update/beefalo/curious")

local function SGBeefaloPostInit(sg)
	local _onenter = sg.states["run_start"].onenter
	sg.states["run_start"].onenter = function(inst)
		_onenter(inst)
		inst.songToPlay = "beefalo_song_update/beefalo/beefalo_LP"
		inst.SoundEmitter:PlaySound(inst.songToPlay, "beefalo_LP")
	end
	
	local _onenter2 = sg.states["run_stop"].onenter
	sg.states["run_stop"].onenter = function(inst)
		_onenter2(inst)
		inst.SoundEmitter:KillSound("beefalo_LP")
	end
	
	local _onenter3 = sg.states["idle"].onenter
	sg.states["idle"].onenter = function(inst)
		_onenter3(inst)
		inst.SoundEmitter:KillSound("beefalo_LP")
	end
end

AddStategraphPostInit("beefalo", SGBeefaloPostInit)